summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michal Bialozor2010-12-27 07:02:35 +0100
committer Niels Horn2010-12-27 23:06:58 +0100
commit333e339e2fc58b024bbdebad58940d1dc449d128 (patch)
tree6896bf0a980f4ed18c6a668a5a176c11cb09cff4
parenteb5a2a8fdc0b74b78d7b2a22f90a5321d26f696d (diff)
downloadslackbuilds-333e339e2fc58b024bbdebad58940d1dc449d128.tar.gz
network/docsis: Added (binary config generator for DOCSIS modems)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/docsis/README7
-rw-r--r--network/docsis/docsis.SlackBuild69
-rw-r--r--network/docsis/docsis.info10
-rw-r--r--network/docsis/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/network/docsis/README b/network/docsis/README
new file mode 100644
index 0000000000..2e9b99be3c
--- /dev/null
+++ b/network/docsis/README
@@ -0,0 +1,7 @@
+docsis is a small program that can be used to generate binary
+configuration files for DOCSIS-compliant cable modems.
+
+This program is useful for people/operators using DOCSIS Cable Modems
+that want to implement their own provisioning system, or for people
+testing/working with DOCSIS technology in general. Otherwise, there's
+nothing you can do with it. It is not designed for end-users.
diff --git a/network/docsis/docsis.SlackBuild b/network/docsis/docsis.SlackBuild
new file mode 100644
index 0000000000..fd6040c809
--- /dev/null
+++ b/network/docsis/docsis.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for docsis
+# Written by Michal Bialozor <bialyy@o2.pl>
+
+PRGNAM=docsis
+VERSION=0.9.6
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ue
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/$PRGNAM/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -s ../../share/$PRGNAM/examples )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/docsis/docsis.info b/network/docsis/docsis.info
new file mode 100644
index 0000000000..2ba9bd8075
--- /dev/null
+++ b/network/docsis/docsis.info
@@ -0,0 +1,10 @@
+PRGNAM="docsis"
+VERSION="0.9.6"
+HOMEPAGE="http://docsis.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/docsis/docsis-0.9.6.tar.gz"
+MD5SUM="dee2b1cd6705eab849251e43a260d87e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michal Bialozor"
+EMAIL="bialyy@o2.pl"
+APPROVED="rworkman"
diff --git a/network/docsis/slack-desc b/network/docsis/slack-desc
new file mode 100644
index 0000000000..5617d158c8
--- /dev/null
+++ b/network/docsis/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+docsis: docsis (binary config generator for DOCSIS modems)
+docsis:
+docsis: docsis is a small program that can be used to generate binary
+docsis: configuration files for DOCSIS-compliant cable modems.
+docsis:
+docsis: Homepage: http://docsis.sourceforge.net
+docsis:
+docsis:
+docsis:
+docsis:
+docsis: